API
ऑनलाइन समाचार खोज डायरेक्ट API
भारत के 22 आधिकारिक भाषाओं सहित केवल भारतीय ऑनलाइन समाचार स्रोतों की निगरानी।
API Reference Version: 1.0.0 3 Endpoints Authentication
Base URL
https://api.pressmonitor.co.in Authentication
All requests use Bearer token authentication.
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/headlines शीर्षक
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keywords_text | string | query | Yes | किवर्ड्स टेक्स्ट |
| lang_code | string | query | No | भाषा कोड |
| country_code | string | query | No | देश कोड |
| count | integer | query | No | गिनती |
| cursor | string | query | No | कर्सर |
| date_from | string | query | No | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | No | End date for news (YYYY-MM-DD format) |
| sort | string | query | No | latest|relevance(default) |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/headlines?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 सफलता
GET
/briefs संक्षेप
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keywords_text | string | query | Yes | किवर्ड्स टेक्स्ट |
| lang_code | string | query | No | भाषा कोड |
| country_code | string | query | No | देश कोड |
| count | integer | query | No | गिनती |
| cursor | string | query | No | कर्सर |
| date_from | string | query | No | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | No | End date for news (YYYY-MM-DD format) |
| sort | string | query | No | latest|relevance(default) |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/briefs?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 सफलता
GET
/fulltext पूर्ण पाठ
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keywords_text | string | query | Yes | किवर्ड्स टेक्स्ट |
| lang_code | string | query | No | भाषा कोड |
| country_code | string | query | No | देश कोड |
| count | integer | query | No | गिनती |
| cursor | string | query | No | कर्सर |
| date_from | string | query | No | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | No | End date for news (YYYY-MM-DD format) |
| sort | string | query | No | latest|relevance(default) |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/fulltext?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 सफलता